curl --request POST \
--url https://api.byteful.com/1.0/public/user/proxy/list_by_id \
--header 'Content-Type: <content-type>' \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>' \
--data '
{
"list_authentication": "username_and_password",
"list_format": "standard",
"list_protocol": "http",
"list_version": "ipv4",
"proxy_ids": [
"19efadd4-5814-4986-90be-4460e7d05c29",
"1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3"
],
"proxy_user_id": "some_proxy_user_id"
}
'import requests
url = "https://api.byteful.com/1.0/public/user/proxy/list_by_id"
payload = {
"list_authentication": "username_and_password",
"list_format": "standard",
"list_protocol": "http",
"list_version": "ipv4",
"proxy_ids": ["19efadd4-5814-4986-90be-4460e7d05c29", "1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3"],
"proxy_user_id": "some_proxy_user_id"
}
headers = {
"Content-Type": "<content-type>",
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Content-Type': '<content-type>',
'X-API-Private-Key': '<api-key>',
'X-API-Public-Key': '<api-key>'
},
body: JSON.stringify({
list_authentication: 'username_and_password',
list_format: 'standard',
list_protocol: 'http',
list_version: 'ipv4',
proxy_ids: ['19efadd4-5814-4986-90be-4460e7d05c29', '1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3'],
proxy_user_id: 'some_proxy_user_id'
})
};
fetch('https://api.byteful.com/1.0/public/user/proxy/list_by_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
"socks5://user:[email protected]:8080"
],
"message": "Proxy list successfully generated."
}Generate Proxy List By ID
This endpoint retrieves a list of proxies assigned to the current user (or a specified customer) based on the proxy IDs.
This endpoint is intentionally a POST even though it only retrieves data since it needs to larger lists of UUIDs.
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Headers
Content type for the request body as application/json.
Body
Authentication type for the proxies in the returned list.
username_and_password, ip_address "username_and_password"
Desired format for displaying the proxies in the returned list.
standard, http, socks5, socks5h "standard"
Desired protocol for the proxies in the returned list.
http, socks5 "http"
IP version preference.
ipv4, ipv6 "ipv4"
List of proxy UUIDs to retrieve.
[
"19efadd4-5814-4986-90be-4460e7d05c29",
"1847e66a-a56e-4bc9-94e2-88a8cf3d0ad3"
]
ID of the proxy_user used for authentication with the proxies.
"some_proxy_user_id"
Response
Successfully generated proxy list.
The resulting list of proxies in the requested format.
["socks5://user:[email protected]:8080"]
Success message.
"Proxy list successfully generated."

